# ai_object.hpp File Reference

Main object, on which all objects depend. More...

`#include "../../misc/countedptr.hpp"`
`#include "../../road_type.h"`
`#include "../../rail_type.h"`
`#include "ai_types.hpp"`

Go to the source code of this file.

## Data Structures
class | AIObject
| Uper-parent object of all API classes. More...
## Typedefs
typedef void( | AISuspendCallbackProc )(class AIInstance *instance)
| The callback function when an AI suspends.
typedef bool( | AIModeProc )()
| The callback function for Mode-classes.

## Detailed Description

Main object, on which all objects depend.

Definition in file ai_object.hpp.